<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_CSS}}" />
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WIKIS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WIKI}}"></span>
    </h2>
    <br />
    <form class="ui form" id="wikis-form" th:object="${wiki}" method="post">
      <input type="hidden" th:field="*{id}" />
      <input type="hidden" th:field="*{created}" />
      <input type="hidden" th:field="*{createdBy}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_NAME}}, 
			                                                   field = 'name', 
			                                                   required = true, 
                                                               maxlength = 50,
                                                               placeholder = 'Wiki Name',                                                               
			                                                   columnsize = 'twelve wide'
			                                                   )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLICATION}}, 
	                                                                 field = 'application', 
	                                                                 options = ${apps},
	                                                                 optionfield = 'item.name',
	                                                                 required = false,
	                                                                 columnsize = 'four wide',
                                                                     emptyoption = true
	                                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVE}}, 
	                                                               field = 'active', 
	                                                               required = true, 
	                                                               option = '',
	                                                               localized = false,
	                                                               message = '',
	                                                               columnsize = 'two wide',
	                                                               function = ''
	                                                               )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WIKIS},
                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon2url = ''
                                                                      )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WIKIS_JS}}"></script>
</body>
</html>